Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84799 - killall script doesn't recognise parameters
Summary: killall script doesn't recognise parameters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 14:49 UTC by Dave Shield
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version: 7.31-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-04 01:42:34 UTC


Attachments (Terms of Use)

Description Dave Shield 2003-02-21 14:49:08 UTC
Description of problem:
Most of the scripts in /etc/rc.d/init.d take a command-line parameter
to control what operation to perform (start, stop, restart, status, etc)
The 'killall' script does not - it simply starts shutting down all
remaining services.

In normal situations, this will only ever be called as part of the
shutdown procedure (as "killall start").   But given the drastic
nature of the behaviour of this script, this should be checked for.
If nothing else, running 'killall status' should return an error
message, rather than starting to shut down the services.

Version-Release number of selected component (if applicable):
initscripts-6.59.1

How reproducible:
very (and very cautiously!)

Steps to Reproduce:
1. /etc/rc.d/init.d/killall status
    
Actual results:
Shutting down APM daemon:       [OK]
^C^C^C^C

Expected results:
Usage: killall {start}
   (by analogy with the 'halt' script)

Additional info:
initscripts-6.67-1 (RH7.3) also shows the same behaviour.
Probably earlier versions as well.

Comment 1 Bill Nottingham 2003-09-04 01:42:34 UTC
Fixed, will be in 7.31-1; thanks!


Note You need to log in before you can comment on or make changes to this bug.